View Issue Details

IDProjectCategoryView StatusLast Update
0029944LazarusIDEpublic2017-05-13 06:18
ReporterCyraxAssigned ToMattias Gaertner 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindows OSServer 2008 R2OS Version6.1.7601 (SP1)
Product Version1.7 (SVN)Product Buildr52089 
Target VersionFixed in Version 
Summary0029944: [codetools] : TypeInfo(<data>) isn't recognized by CodeTools, so "Find declaration of .." malfunctions with error message.
DescriptionThis causes jumping around the code which contains TypeInfo(<data>) declaration, not to work as it should.

See Steps To Reproduce and Additional Information for more info.
Steps To Reproduce1. Open up .\components\ideintf\propedits.pp in the IDE.
2. Go to line 7292 column 18.
3. Execute "Find declaration of .." functionality in that line.
4. Observe the error message.
Additional InformationError message:
Codetools, Errors: 1
propedits.pp(7296,26) Error: identifier not found: TypeInfo
Tagscode tools, codetools, patch
Fixed in Revision54626
LazTarget-
WidgetsetWin32/Win64
Attached Files
  • keywordfunclists.pas.patch (681 bytes)
    Index: components/codetools/keywordfunclists.pas
    ===================================================================
    --- components/codetools/keywordfunclists.pas	(revision 52099)
    +++ components/codetools/keywordfunclists.pas	(working copy)
    @@ -1255,6 +1255,7 @@
         Add('READ'        ,{$ifdef FPC}@{$endif}AllwaysTrue);
         Add('READLN'      ,{$ifdef FPC}@{$endif}AllwaysTrue);
         Add('TYPEOF'      ,{$ifdef FPC}@{$endif}AllwaysTrue);
    +    Add('TYPEINFO'    ,{$ifdef FPC}@{$endif}AllwaysTrue);
         Add('ASSIGNED'    ,{$ifdef FPC}@{$endif}AllwaysTrue);
         Add('INCLUDE'     ,{$ifdef FPC}@{$endif}AllwaysTrue);
         Add('EXCLUDE'     ,{$ifdef FPC}@{$endif}AllwaysTrue);
    

Activities

Cyrax

2016-04-02 00:47

reporter  

keywordfunclists.pas.patch (681 bytes)
Index: components/codetools/keywordfunclists.pas
===================================================================
--- components/codetools/keywordfunclists.pas	(revision 52099)
+++ components/codetools/keywordfunclists.pas	(working copy)
@@ -1255,6 +1255,7 @@
     Add('READ'        ,{$ifdef FPC}@{$endif}AllwaysTrue);
     Add('READLN'      ,{$ifdef FPC}@{$endif}AllwaysTrue);
     Add('TYPEOF'      ,{$ifdef FPC}@{$endif}AllwaysTrue);
+    Add('TYPEINFO'    ,{$ifdef FPC}@{$endif}AllwaysTrue);
     Add('ASSIGNED'    ,{$ifdef FPC}@{$endif}AllwaysTrue);
     Add('INCLUDE'     ,{$ifdef FPC}@{$endif}AllwaysTrue);
     Add('EXCLUDE'     ,{$ifdef FPC}@{$endif}AllwaysTrue);

Cyrax

2016-04-02 00:48

reporter   ~0091656

Attached patch (keywordfunclists.pas.patch) which will fix this problem.

Cyrax

2017-02-28 15:57

reporter   ~0098518

One change to "Steps To Reproduce" text field.

>2. Go to line 7292 column 18.
should be
>2. Go to line 7770 column 30.

--

Lazarus 1.7 r54300

Cyrax

2017-04-18 02:50

reporter   ~0099654

This bug is fixed in r54626. So this can be closed.

Mattias Gaertner

2017-04-18 09:06

manager   ~0099663

Thanks for the hint.

Issue History

Date Modified Username Field Change
2016-04-01 23:06 Cyrax New Issue
2016-04-01 23:07 Cyrax Tag Attached: code tools
2016-04-01 23:07 Cyrax Tag Attached: codetools
2016-04-02 00:47 Cyrax File Added: keywordfunclists.pas.patch
2016-04-02 00:48 Cyrax Note Added: 0091656
2016-04-02 00:48 Cyrax Tag Attached: patch
2016-04-02 09:33 Mattias Gaertner Assigned To => Mattias Gaertner
2016-04-02 09:33 Mattias Gaertner Status new => assigned
2017-02-28 15:57 Cyrax Note Added: 0098518
2017-04-18 02:50 Cyrax Note Added: 0099654
2017-04-18 09:06 Mattias Gaertner Fixed in Revision => 54626
2017-04-18 09:06 Mattias Gaertner LazTarget => -
2017-04-18 09:06 Mattias Gaertner Note Added: 0099663
2017-04-18 09:06 Mattias Gaertner Status assigned => resolved
2017-04-18 09:06 Mattias Gaertner Resolution open => fixed
2017-05-13 06:18 Cyrax Status resolved => closed